%{!?testsuite: %global testsuite 1}

Summary:        Utility to clone and restore a partition
Name:           partclone
Version:        0.3.32
Release:    2%{?dist}
License:        BSD-2-Clause AND GPL-1.0-or-later AND GPL-2.0-only AND GPL-2.0-or-later AND GPL-3.0-or-later AND LGPL-2.1-only AND LGPL-2.0-or-later AND LGPL-3.0-or-later
URL:            https://partclone.org/
Source0:        https://github.com/Thomas-Tsai/partclone/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  libuuid-devel
BuildRequires:  fuse-devel
BuildRequires:  ncurses-devel
BuildRequires:  openssl-devel >= 1.1.0
BuildRequires:  e2fsprogs-devel
BuildRequires:  ntfs-3g-devel
BuildRequires:  libblkid-devel
BuildRequires:  libmount-devel
BuildRequires:  nilfs-utils-devel
%ifnarch %{ix86} x86_64
BuildRequires:  gcc-x86_64-linux-gnu
%endif
BuildRequires:  pkgconfig(bash-completion)
%if 0%{?testsuite}
BuildRequires:  e2fsprogs
BuildRequires:  ntfsprogs
BuildRequires:  dosfstools
BuildRequires:  xfsprogs
BuildRequires:  exfatprogs
BuildRequires:  btrfs-progs
BuildRequires:  f2fs-tools
BuildRequires:  hfsplus-tools
%endif
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gettext-devel
Recommends:     bash-completion
Provides:       bundled(libbtrfs) = 6.8.1
Provides:       bundled(libbtrfsutil) = 6.8.1
Provides:       bundled(xfsprogs-libs) = 4.20.0

%description
Partclone provides utilities to clone and restore used blocks on a partition
and is designed for higher compatibility of the file system by using existing
libraries, e.g. e2fslibs is used to read and write the ext2 partition.

%prep
%autosetup -p1
autoreconf -i -f

%ifnarch %{ix86} x86_64
sed -e '/^case\s/{N;/.*)/d}' -e '/^\s*;;$/,$d' -e 's/\(gcc\|obj\S\)/x86_64-linux-gnu-\1/g' \
    -i fail-mbr/compile-mbr.sh
%endif

%build
%configure \
  --enable-fuse \
  --enable-extfs \
  --enable-xfs \
  --disable-reiserfs \
  --disable-reiser4 \
  --enable-hfsp \
  --enable-apfs \
  --enable-fat \
  --enable-exfat \
  --enable-f2fs \
  --enable-nilfs2 \
  --enable-ntfs \
  --disable-ufs \
  --disable-vmfs \
  --disable-jfs \
  --enable-btrfs \
  --enable-minix \
  --enable-ncursesw \
  --enable-fs-test
%make_build

%install
%make_install
mv -f %{buildroot}%{_datadir}/bash-completion/completions/%{name}{-prompt,}

%find_lang %{name}

%if 0%{?testsuite}
%check
sed -e 's/^\(am__append_[[:digit:]]* = nilfs2.test\)/#\1/' \
    -i tests/Makefile

sed -e 's/^\(am__append_[[:digit:]]* = reiser4.test\)/#\1/' \
    -i tests/Makefile


make check || { cat tests/test-suite.log; exit 1; }
%endif

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog
%{_sbindir}/%{name}.*
%{_datadir}/%{name}/
%{_datadir}/bash-completion/completions/%{name}
%{_mandir}/man8/%{name}*.8*

%changelog
* Thu Sep 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.32-2
- bump version

* Tue Aug 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.32-1
- initial build
